Joomla.it Forum

Joomla! 3 => Installazione, migrazione e aggiornamento => Topic aperto da: danjde - 27 Apr 2017, 17:42:24

Titolo: Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: danjde - 27 Apr 2017, 17:42:24
Ciao amici,
ho appena aggiornato da interfaccia web Joomla! da 3.6.5 a 3.7 e ho ottenuto questo messaggio di avviso:

AttenzioneErrore nel caricamento del componente: com_fields, Componente non trovato



Ho seguito queste vostre indicazioni (http://forum.joomla.it/index.php?topic=198206.0) ma senza risultato, nel senso che non vedo proprio nulla nell'elenco.

Quale altra procedura dovrei seguire?


Grazie infinite




Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: alexred - 27 Apr 2017, 19:24:04
Ciao danjde,
cortesemente indica con estrema precisione che procedura hai eseguito per effettuare l'aggiornamento.
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: danjde - 27 Apr 2017, 21:44:56
Da backend, vi era l'avviso che la nuova versione era disponibile per l'installazione/dowload e ho semplicemente cliccato su "aggiorna" e tutto sembra essere andato correttamente, non ho visto errori e altri messaggi particolari.

L'unica cosa è che la versione php in uso è la "5.6.30+dfsg-0+deb8u1" su server Debian Jessie e non un "php7".


Grazie ancora!

Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: alexred - 27 Apr 2017, 21:53:01
prova a passare dalla gestione estensioni --> database   e poi 
dalla gestione estensioni --> Esplora
e vedi se indicano qualcosa da correggere
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: danjde - 28 Apr 2017, 09:50:03
Nulla nemmeno usando questa procedura.
Ho trovato questa discussione (https://github.com/joomla/joomla-cms/pull/15465) in github/joomla-cms, il problema sembra noto.
In questi giorni dovrò aggiornare un altro Joomla!3.6.5 sempre sullo stesso server, provo in questi giorni e poi vi faccio sapere.

Per il momento il sito si comporta bene e il messaggio in questione non si è più ripresentato e i "Campi Aggiuntivi" (https://www.joomlashack.com/blog/tutorials/custom-fields/) mi sembrano presenti e scrivibili in tutte le sezioni.

Grazie ancora!
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: danjde - 28 Apr 2017, 15:50:53
Rieccomi,
ho eseguito l'aggiornamento su altro sito sempre ospitato dal medesimo server, sempre J3.6.5->J3.7 e l'avviso si è ripresentato.
In questa installazione non sono presenti i "Campi Aggiuntivi" a menu, almeno per il momento..


Grazie

Aggiornamento dopo circa dieci minuti dall'inserimento del presente post:

i campi aggiuntivi sono apparsi come per magia da soli, giuro io non ho fatto nulla.. :-D


Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: danjde - 28 Apr 2017, 16:35:20
Ho istallato un componente (a pagamento, per cui credo di non poter farne il nome) e ora ottengo lo stesso avviso di sopra, riferito questa volta al nuovo software:

Attenzione Errore nel caricamento del componente: "com_nome-componente", Componente non trovato

Anche se ogni messaggio di installazione del componente specifico mi da tutto regolare..
E il componente risulta perfettamente usabile..

Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: alexred - 28 Apr 2017, 16:43:49
sono noti problemi con la cache di Joomla nella versione 3.7.0,
quindi ti consiglio di tenerla disabilitata ed disabilitare anche il plugin "System - Page Cache" se attivo.

Forse i tuoi problemi dipendono dalla cache
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: danjde - 28 Apr 2017, 16:51:37
Sì, sembrerebbe anche a me un problema di cache (ho pensato anche alla gestione lato server della cache, in quanto utilizzo "memcache", ma prima andava tutto bene per cui mi sento di escludere questa eventualità), provo a disabilitarla come tu mi suggerisci e poi aggiorno nei prossimi giorni..

Grazie ancora ;-)
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: danjde - 28 Apr 2017, 18:46:22
Allora..
ho fatto un altro aggiornamento alla 3.7, questa volta su di un "hosting tradizionale" e senza memcache, e la cache di Joomla era impostata a questo punto su "File" e non ha dato alcun avviso di errore.


Ritengo a questo punto che il problema nasca da come il nuovo Joomla 3.7 si relaziona con memcache.


Grazie


Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: principiante72 - 29 Apr 2017, 11:14:14
Scusate se intervengo ma, dato che ho lo stesso problema, non apro altra discussione...
A me succede la stessa cosa dopo aggiornamento a versione 3.7.0 "Errore nel caricamento del componente: com_fields, Componente non trovato"
cache disabilitata e plugin già disabilitato...non succede niente!
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: green12 - 29 Apr 2017, 11:29:23
 :(  stesso problema, aggiornando da 3.6.5 a 3.7, non capisco però quali siano le conseguenze di questo errore, apparentemente, tutto sembra funzionare. La cosa strana è che ho aggiornato un'altro sito che ho sullo stesso server, con lo stesso template ed è andato tutto liscio.
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: misterbax - 02 Mag 2017, 16:37:33
Ciao a tutti.
Ho lo stesso problema anche io.
Qualcuno ha risolto?
Grazie
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: alexred - 02 Mag 2017, 17:13:58
Ciao danjde,
cortesemente indica con estrema precisione che procedura hai eseguito per effettuare l'aggiornamento.
prova a passare dalla gestione estensioni --> database   e poi 
dalla gestione estensioni --> Esplora
e vedi se indicano qualcosa da correggere
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: misterbax - 02 Mag 2017, 17:18:41
Grazie Alexred.
Con il tuo aiuto ho risolto.
Grazie
 :)
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: Paky50 - 02 Mag 2017, 18:07:42
...ci puoi dire come hai risolto? Grazie  :)
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: Paky50 - 02 Mag 2017, 18:10:05
Grazie Alexred.
Con il tuo aiuto ho risolto.
Grazie
 :)


Ci puoi dire come hai risolto? Grazie  :)
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: misterbax - 02 Mag 2017, 18:16:49
ti basta seguire le istruzioni alla lettera come le ha elencate Alexred.[/size]Con buone probabilità il tuo database è da correggere e quindi vai sul Menu->Gestione->Database vedi se è da correggere qualche errore e se lo devi fare clicca guarda in alto a sinistra, c'è il tasto per correggere.Una volta fatto questo vai di nuovo su Menu->Gestione->Esplora, qui trovi tutte le parti che non sono state installate dirante il processo di installazione. Selezionale tutte e clicca su "Installa"
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: Paky50 - 02 Mag 2017, 18:18:36
ti basta seguire le istruzioni alla lettera come le ha elencate Alexred.Con buone probabilità il tuo database è da correggere e quindi vai sul Menu->Gestione->Database vedi se è da correggere qualche errore e se lo devi fare clicca guarda in alto a sinistra, c'è il tasto per correggere.Una volta fatto questo vai di nuovo su Menu->Gestione->Esplora, qui trovi tutte le parti che non sono state installate dirante il processo di installazione. Selezionale tutte e clicca su "Installa"


???
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: misterbax - 02 Mag 2017, 18:23:59
Ti basta seguire le istruzioni come te le ha elencate alexred.
Probabilmente il tuo database non e in ordine quindi vai sul menu e clicca su Estensioni->Gestione->Database, li potresti trovare la notifica che ci sono degli errori, nel caso clicca sul pulsante in alto a sinistra per correggerli.
Successivamente va su Estensioni->Gestione->Esplora.
Qui trovi tutte le parti che non sono state installate con il processo di aggiornamento. Selezionale tutte e clicca su "Installa".
A questo punto dovresti aver risolto.
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: Paky50 - 02 Mag 2017, 18:35:14
Ti basta seguire le istruzioni come te le ha elencate alexred.
Probabilmente il tuo database non e in ordine quindi vai sul menu e clicca su Estensioni->Gestione->Database, li potresti trovare la notifica che ci sono degli errori, nel caso clicca sul pulsante in alto a sinistra per correggerli.
Successivamente va su Estensioni->Gestione->Esplora.
Qui trovi tutte le parti che non sono state installate con il processo di aggiornamento. Selezionale tutte e clicca su "Installa".
A questo punto dovresti aver risolto.


Il DB non presentava errori da getione estensioni ho proceduto all'installazione ma l'errore persiste.  :(
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: misterbax - 02 Mag 2017, 18:48:24
Io ti ho spiegato come ho risolto io.
Non conosco il motivo per cui il tuo problema persiste.
Mi dispiace
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: tomtomeight - 07 Mag 2017, 19:18:15
Se continuate ad attaccarvi quì difficilmente risolverete, dato anche la natura diversa di server e condizioni diverse della modalità di aggiornamento. Salvo anche il fatto di affossard la richiesta iniziale di chi ha aperto la discussione. Aprite sempre un nuovo vostro post anche se il problema è simile.
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: niccolo123 - 04 Giu 2017, 12:40:34
Salve a tutti,
io avevo lo stesso problema, ho risolto così:

Nella Sezione "Sistema" mi dava che tutte le estensioni erano aggiornate, ma in realtà ho scoperto che non avevo aggiornato la lingua (italiano) , dopo questo aggiornamento il problema è sparito.

Continua però a rimanermi attivo questo warning "La tabella di aggiornamento non è aggiornata. Ripristina la tua tabella dei server di aggiornamento". (http://www.ilprontuario.com/administrator/index.php?option=com_installer&view=updatesites)

(PS: nel mio caso l'aggiornamento da 3.6.5 a 3.7. è stato fatto manualmente attraverso FTP)
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: tomtomeight - 04 Giu 2017, 13:00:13
niccolo123


Cortesemente per il tuo warning apri un tuo nuovo post, quì si risponde solo per aiutare non per presentare i propri problemi, mi pareva di essere stato chiaro al riguardo.  :)  Grazie della comprensione.


Aspetto il tuo nuovo post per poterti rispondere.
Titolo: Re:Upgrade da 3.6.5 a 3.7: errore nel caricamento del componente com_fields
Inserito da: stepish - 22 Mar 2018, 16:56:22
Caricate le versione 3.6.5 come ho fatto io in ftp ed il problema com_fields (se non erro) ed il problema è risolto!!  ;D ;D ;D ;D ;D ;D ;D ;D ;D